#ifndef __CARSELECTION
#define __CARSELECTION

#include "carphysics.h"
#include "fileio.h"

#define kMaxCars 1024

enum {
	kCarSelectionQuickMode,
	kCarSelectionEnemyMode,
	kCarSelectionDisplayMode
};

void InterfaceCarSelectionRender(float time,tFileRef *availableCars,int numAvailable,int selected,int mode,int addOns,int color,int drawColor,int *demoAvailable,float carFade,float totalFade);
int InterfaceCarSelection(tFileRef *car,int mode,UInt8 *pColor,int (*Callback)(void*),void *userData,int *callbackResponse);
void GetAvailableCars(tFileRef *availableCars,int *carCount,int onlyBuiltIn,int onlyAvailable);
void SelectNextCar(tFileRef *car,UInt8 *color,int onlyAvailable,int onlyDemo);
void SelectPrevCar(tFileRef *car,UInt8 *color,int onlyAvailable,int onlyDemo);
int InterfaceSelectOpponentCars(int *numOpponents,tFileRef *opponents,UInt8 *colors,int (*Callback)(void*),void *userData);

#endif